1. 个人技术分享首页

关于MyBatis连接MySql8.0版本的配置问题

在学习mybatis时,遇到了一个错误,错误如下:

Error querying database.  Cause: com.mysql.jdbc.exceptions.jdbc4.CommunicationsException: Communications link failure

错误原因:

  • 本地使用的数据库版本为MySQL8.0
  • 在pom.xml配置文件中导入MySQL的jar包版本为

关于MyBatis连接MySql8.0版本的配置问题

因为本地数据库版本与导入MySQL的jar包版本不一致引起的错误

解决办法:

[1] 本地安装相应版本的数据库,因为我本地安装了MySQL5.6和MySQL8.0,将数据库切换为MySQL5.6解决问题
[2]修改pom.xml配置文件,数据库不用切换

mysqlmysql-connector-java8.0.18

补充:mybatis 连接mysql8.0异常

The reference to entity “serverTimezone” must end with the ‘;’ delimiter.

对实体“serverTimeZone”的引用必须以“;”分隔符结尾。
解决的方案为
在xml的配置文件中 ;要用 & 代替。

文章来源于互联网:关于MyBatis连接MySql8.0版本的配置问题

原创文章,作者:admin,如若转载,请注明出处:https://www.aliyunsolution.com/3078.html